/*
 * @Author: shi ZongLiang
 * @Date: 2021-07-23 15:32:49
 * @LastEditors: shi ZongLiang
 * @Description: 
 */
export default {
  // 日期相减
  execute:function(){
      console.log("进入：日期相减公式")
      if (arguments&&arguments[0]&&arguments[0][0]&&arguments[0][1]) {
        let date1 = arguments[0][0].getResult().Value;
        let date2 = arguments[0][1].getResult().Value;
        if (date1&&date2&&date2>=date1) {
          return Math.abs(parseInt((date2-date1)/(1000 * 60 * 60 * 24))) + 1;
        } else {
          return "";
        }
      }
  },
  getResultType:function(){
      return FMR.ConstDataTypes.General;
  }
}